import math
def check_prime(number):
    sqrt_number = math.sqrt(number)
    number_float = float(number)
    numbers = range(2, int(sqrt_number)+1)
    for i in range(0, len(numbers), 5):
        result = (number_float/ numbers[i:(i+5)]).is_integer() 
        if any(result):
            return False
    return True

print ("check_prime(100000) = ", check_prime(100000))
print ("check_prime(100019) = ", check_prime(100019))
